import { d, put } from './request'
import { g, p } from './request'

export const mallList = async (channel = 'mall', offset = 0, limit = 10) => {
    return await g(`/products/${channel}`)
}

export const mallDetail = async (id) => {
    return await g(`/products/detail/${id}`)
}



export const login = async (account, pwd, code) => {
    return await p(`/users/login`, { phone: account, password: pwd, verification_code: code })
}

export const register = async (data = {}) => {
    return await p(`/users/register`, data)
}

export const sendCode = async (phone) => {
    return await p('/users/sms-verification-code', { phone })
}



// 创建地址
export const createAddress = async (data = {}) => {
    return await p(`/users/addresses`, data)
}
export const updateAddress = async (id, data = {}) => {
    return await put(`/users/addresses/${id}`, data)
}

export const deleteAddress = async (id) => {
    return await d(`/users/addresses/${id}`)
}


export const getAddress = async (data = {}) => {
    return await g(`/users/addresses`, data)
}
// 获取城市
export const cities = async (pid = 0) => {
    return await g('/cities', { pid })
}