import Taro from "@tarojs/taro"

export const successNotice = (content) => {
    Taro.showToast({ title: content, icon: 'success' })
}

export const errorNotice = (content) => {
    Taro.showToast({ title: content, icon: 'error' })
}


export const loading = (title = '加载中') => {
    Taro.showLoading({ title })
}

export const closeLoading = () => {
    Taro.hideLoading()
}


export const redirectTo = (url) => {
    Taro.redirectTo({ url })
}

export const navigateTo = (url) => {
    Taro.navigateTo({ url })
}

export const backTo = () => {
    Taro.navigateBack({ delta: 1 })
}

export const backOrGo = (url) => {
    Taro.getCurrentPages().length > 0 ? Taro.navigateBack() : redirectTo(url)

}
