import { Image, Text, View } from "@tarojs/components"
import next from '@/images/next.png'
import './index.scss'
import { useState } from "react"
import Taro from "@tarojs/taro"
import backNav from '@/images/backNav.png'
import { useEffect } from "react"


const Login = () => {

    // 返回页面
    const backFn = () => {
        Taro.getCurrentPages().length > 0 && Taro.navigateBack()
    }

    const navDetail = (id) => {
        Taro.navigateTo({
            url: '/pages/message-detail/index?id=' + id
        })
    }

    return <View className="message-frame  h-screen text-base">
        <View className='addr-detail-title'>
            <Image src={backNav} className="square-35 absolute left-10 nav-icon" onClick={backFn} />
            消息中心
        </View>
        <View className="message-list-container flex-col">
            <View className="message-item flex-col items-center mt-22">
                <View className="message-time">今天8:00</View>
                <View className="message-item-body mt-22">
                    <View className="message-item-content">
                        <View className="message-item-title">秒杀专区暂时下线公告</View>
                        <View className="mt20">秒杀专区暂时下线公告秒杀专区暂时下线公告秒杀专区暂时下线公告秒杀专区暂时下线公告秒杀专区暂时下线公告秒杀专区暂时下线公告秒杀专区暂时下线公告秒杀专区暂时下线公告</View>
                    </View>
                    <View className="flex-between message-item-action" onClick={() => { navDetail(1) }}>
                        <Text>查看详情</Text>
                        <Image src={next} className="next-icon" />
                    </View>
                </View>
            </View>
            <View className="message-item flex-col items-center mt-22">
                <View className="message-time">今天8:00</View>
                <View className="message-item-body mt-22">
                    <View className="message-item-content">
                        <View className="message-item-title">秒杀专区暂时下线公告</View>
                        <View className="mt20">秒杀专区暂时下线公告秒杀专区暂时下线公告秒杀专区暂时下线公告秒杀专区暂时下线公告秒杀专区暂时下线公告秒杀专区暂时下线公告秒杀专区暂时下线公告秒杀专区暂时下线公告</View>
                    </View>
                    <View className="flex-between message-item-action">
                        <Text>查看详情</Text>
                        <Image src={next} className="next-icon" />
                    </View>
                </View>
            </View>
        </View>
    </View>
}


export default Login